srtp_crypto_policy_t Struct Reference
Secure RTP

srtp_crypto_policy_t describes a particular crypto policy that can be applied to an SRTP stream. More...

`#include <srtp.h>`

## Data Fields

srtp_cipher_type_id_t | cipher_type
int | cipher_key_len
srtp_auth_type_id_t | auth_type
int | auth_key_len
int | auth_tag_len
srtp_sec_serv_t | sec_serv

## Detailed Description

A srtp_crypto_policy_t describes a particular cryptographic policy that can be applied to an SRTP or SRTCP stream. An SRTP session policy consists of a list of these policies, one for each SRTP stream in the session.

## Field Documentation

## auth_key_len

int srtp_crypto_policy_t::auth_key_len

The length of the authentication function key in octets.

## auth_tag_len

int srtp_crypto_policy_t::auth_tag_len

The length of the authentication tag in octets.

## auth_type

srtp_auth_type_id_t srtp_crypto_policy_t::auth_type

An integer representing the
authentication function.

## cipher_key_len

int srtp_crypto_policy_t::cipher_key_len

The length of the cipher key
in octets.

## cipher_type

srtp_cipher_type_id_t srtp_crypto_policy_t::cipher_type

An integer representing
the type of cipher.

## sec_serv

srtp_sec_serv_t srtp_crypto_policy_t::sec_serv

The flag indicating the security services to be applied.

The documentation for this struct was generated from the following file:

- srtp.h